## org.emboss.jemboss.gui.sequenceChooser
Class CutNPasteTextArea

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.sequenceChooser.CutNPasteTextArea

public class CutNPasteTextArea
extends java.lang.Object

Makes a cut-and-paste text area.

Author:
  T. J. Carver

Field Summary
`(package private) java.awt.datatransfer.DataFlavor[]` `dataFlavor`
`protected static javax.swing.border.Border` `defaultBorder`
`protected static javax.swing.border.Border` `highlightBorder`
`(package private) TextAreaSink` `seqPaste`
`(package private) javax.swing.JScrollPane` `seqScroll`

Constructor Summary
`CutNPasteTextArea(javax.swing.Box pasteBox, java.lang.String name)`

Method Summary
`java.lang.String` `getText()`
`void` `setText(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### seqPaste

    TextAreaSink seqPaste

### seqScroll

    javax.swing.JScrollPane seqScroll

### dataFlavor

    java.awt.datatransfer.DataFlavor[] dataFlavor

### defaultBorder

    protected static javax.swing.border.Border defaultBorder

### highlightBorder

    protected static javax.swing.border.Border highlightBorder

Constructor Detail

### CutNPasteTextArea

    public CutNPasteTextArea(javax.swing.Box pasteBox,
                             java.lang.String name)

Method Detail

### getText

    public java.lang.String getText()

  Returns:
    String contents of the text area

### setText

    public void setText(java.lang.String s)